#ifndef BASICS_H
#define BASICS_H

#include <stddef.h>
#include "../../utils/lists.h"

struct list *list_append(struct list *l, int e);
size_t list_count(struct list *l);
int list_insert(struct list **l, size_t index, int e);
struct list *list_get(struct list *l, size_t index);
struct list *list_find(struct list *l, int e);
struct list *list_delete_at(struct list **l, size_t index);
int list_remove(struct list **l, int e);
void list_destroy(struct list *l);
void list_print(struct list *l);

#endif /* !BASICS_H */
